## org.firebirdsql.pool
Interface XStatementManager

All Known Implementing Classes:
  AbstractPingablePooledConnection, PingablePooledConnection

    public interface XStatementManager

Manager of prepared statement. This interface defines an entity that is able to prepare SQL statements. Also this instance is notified when statement is closed.

Currently only `PingablePooledConnection` is implementing this interface.

Author:
  Roman Rokytskyy

Method Summary
`org.firebirdsql.pool.XCachablePreparedStatement` `prepareStatement(String sql, int resultSetType, int resultSetConcurrency, boolean cached)` Prepare specified SQL statement.
`void` `statementClosed(String statement, Object proxy)` Notify about statement close.

Method Detail

### prepareStatement

    org.firebirdsql.pool.XCachablePreparedStatement prepareStatement(String sql,
                                                                     int resultSetType,
                                                                     int resultSetConcurrency,
                                                                     boolean cached)
                                                                     throws SQLException

  Prepare specified SQL statement. This method should call `Connection.prepareStatement(String)` method on physical JDBC connection.

  Parameters:
    `sql` - SQL statement to prepare.
    `resultSetType` - type of result set
    `resultSetConcurrency` - result set concurrency
    `cached` - `true` if prepared statement will be cached.
  Returns:
    instance of `PreparedStatement` corresponding to the specified SQL statement.
  Throws:
    `SQLException` - if something went wrong.
  See Also:
    `Connection.prepareStatement(java.lang.String, int, int)`

### statementClosed

    void statementClosed(String statement,
                         Object proxy)
                         throws SQLException

  Notify about statement close.

  Parameters:
    `statement` - SQL statement of an object that is being closed.
    `proxy` - proxy on which `Statement.close()` method was called.
  Throws:
    `SQLException` - if something went wrong.

Copyright © 2001-2010. All Rights Reserved.